> ## Documentation Index
> Fetch the complete documentation index at: https://guide.gpt-trainer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create URL Source

> Create a URL source for a chatbot specified by chatbot uuid

### Path

**uuid** `string` *required*

Chatbot uuid

### Body

**url** `string` *required*

**reference\_source\_link** `string`

### Response

**created\_at** `string`

**file\_name** `string`

**file\_size** `number`

**meta\_json** `string`

**modified\_at** `string`

**status** `string`

**title** `string`

**type** `string`

**tokens** `number`

**uuid** `string`

```bash Curl theme={null}
curl --location --request POST 'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-source/url' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
  "url": "string"
}'
```

```py Python theme={null}
import requests

uuid = '<chatbot-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-source/url'
headers = {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer <token>'
}

data = {
    "url": "string",
}

response = requests.post(url, headers=headers, json=data)

if response.status_code == 200:
    print("Request successful!")
    print(response.json())
else:
    print("Request failed with status code:", response.status_code)
    print(response.text)
```

```ts JavaScript theme={null}
const axios = require("axios");

const uuid = "<chatbot-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}/data-source/url`;
const headers = {
  "Content-Type": "application/json",
  Authorization: "Bearer <token>",
};

const data = {
  url: "string",
};

axios
  .post(url, data, { headers })
  .then((response) => {
    console.log("Request successful!");
    console.log(response.data);
  })
  .catch((error) => {
    console.error("Request failed:", error);
  });
```

```json Response theme={null}
{
  "created_at": "string",
  "file_name": "string",
  "file_size": 0,
  "meta_json": "string",
  "modified_at": "string",
  "status": "string",
  "title": "string",
  "tokens": 0,
  "type": "string",
  "uuid": "string"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.